> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List collections

> List the project's File collections.

**Operation ID:** `http.collections.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/collections
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/collections
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/collections:
    get:
      tags:
        - Collections
      summary: List collections
      description: |-
        List the project's File collections.

        Product guidance: [Collection](/concepts/collection).
      operationId: http.collections.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: How many collections to list, 1 to 200. Defaults to 50.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_collections_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_collections_list_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              description:
                anyOf:
                  - type: string
                  - type: 'null'
              metadata:
                type: object
                propertyNames:
                  type: string
                additionalProperties: {}
              file_count:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              revision:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              created_at:
                type: string
              updated_at:
                type: string
            required:
              - id
              - name
              - description
              - metadata
              - file_count
              - revision
              - created_at
              - updated_at
            additionalProperties: {}
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - data
        - next_cursor
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.